oracle.dbtools.plugin.api.types

## Enum TypeQualifier.MatchingMode

- java.lang.Object
- - java.lang.Enum<TypeQualifier.MatchingMode>
  - - oracle.dbtools.plugin.api.types.TypeQualifier.MatchingMode

- All Implemented Interfaces:
    Serializable, Comparable<TypeQualifier.MatchingMode>
  Enclosing interface:
    TypeQualifier<T>

      public static enum TypeQualifier.MatchingMode
      extends Enum<TypeQualifier.MatchingMode>

  Determines how the `TypeQualifier` matches types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY_PROVIDER` Matches any type providing the requested type, ignores any `Named` constraint on the type
    `EXACT_TYPE` Matches the exact named type only
    `PROVIDER` Matches any type that provides the requested type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeQualifier.MatchingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeQualifier.MatchingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY_PROVIDER

          public static final TypeQualifier.MatchingMode ANY_PROVIDER

      Matches any type providing the requested type, ignores any `Named` constraint on the type

    - #### EXACT_TYPE

          public static final TypeQualifier.MatchingMode EXACT_TYPE

      Matches the exact named type only

    - #### PROVIDER

          public static final TypeQualifier.MatchingMode PROVIDER

      Matches any type that provides the requested type

  - ### Method Detail

    - #### values

          public static TypeQualifier.MatchingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeQualifier.MatchingMode c : TypeQualifier.MatchingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeQualifier.MatchingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010, 2022, Oracle and/or its affiliates.